Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gov.nasa.worldwind
Interface WWIcon

All Known Implementing Classes:
  Pedestal, UserFacingIcon

    public interface WWIcon

Method Summary
`double` | `getHighlightScale()`
`String` | `getPath()`
`Position` | `getPosition()`
`Dimension` | `getSize()`
`Font` | `getToolTipFont()`
`String` | `getToolTipText()`
`Color` | `getToolTipTextColor()`
`boolean` | `isHighlighted()`
`boolean` | `isShowToolTip()`
`boolean` | `isVisible()`
`void` | `setHighlighted(boolean highlighted)`
`void` | `setHighlightScale(double highlightScale)`
`void` | `setPosition(Position iconPosition)`
`void` | `setShowToolTip(boolean showToolTip)`
`void` | `setSize(Dimension size)`
`void` | `setToolTipFont(Font toolTipFont)`
`void` | `setToolTipText(String toolTipText)`
`void` | `setToolTipTextColor(Color textColor)`
`void` | `setVisible(boolean visible)`

Method Detail

### getHighlightScale

    double getHighlightScale()

### getPath

    String getPath()

### getPosition

    Position getPosition()

### getSize

    Dimension getSize()

### getToolTipFont

    Font getToolTipFont()

### getToolTipText

    String getToolTipText()

### getToolTipTextColor

    Color getToolTipTextColor()

### isHighlighted

    boolean isHighlighted()

### isShowToolTip

    boolean isShowToolTip()

### isVisible

    boolean isVisible()

### setHighlighted

    void setHighlighted(boolean highlighted)

### setHighlightScale

    void setHighlightScale(double highlightScale)

### setPosition

    void setPosition(Position iconPosition)

### setShowToolTip

    void setShowToolTip(boolean showToolTip)

### setSize

    void setSize(Dimension size)

### setToolTipFont

    void setToolTipFont(Font toolTipFont)

### setToolTipText

    void setToolTipText(String toolTipText)

### setToolTipTextColor

    void setToolTipTextColor(Color textColor)

### setVisible

    void setVisible(boolean visible)

Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD